$(document).ready(function() {

	$('#clear_output_button').on('click', function(event) {
		event.preventDefault();
		$('#script_output').val("");
		return false;
	});

	$('#new_host_form, #existing_host_form').on('click', function(event) {
		event.preventDefault();
		var loading = $('#loading_gif');
		var address = $('#host_address').val();
		if (not_empty(address, "Hostname/ip/fqdn") !== true) {
			return false;
		}
		loading.show();
		var node = $('#node option:selected').val();
		// Submit hostname and node and output results
		$.ajax({
			url: '/monitor/index.php/sysnagios/submit_host',
			type: 'post',
			data: { hosts: address, node: node},
			success: output_and_scroll,
			complete: function() {
				loading.hide();
			}
		});
	});

	$('#force_unlock_button').on('click', function(event) {
		event.preventDefault();
		var loading = $('#loading_gif');
		loading.show();
		var node = $('#node option:selected').val();
		// Force removal of lock-file
		$.ajax({
			url: '/monitor/index.php/sysnagios/force_unlock/' + node,
			type: 'post',
			data: { node: node},
			success: output_and_scroll,
			complete: function() {
				loading.hide();
			}
		});
	});

	function output_and_scroll(data) {
		var output = $('#script_output').val();
		$('#script_output').val(output + "\n---\n" + data + "\n");
		$('#script_output')[0].scrollTop = $('#script_output')[0].scrollHeight;
	}

	function not_empty(input, name) {
		if (input === "" || input === null) {
			output_and_scroll("The input " + name + " must not be empty");
			return false;
		}
		return true;
	}

});
